Difference between revisions of "Arch Floor/es"

From FreeCAD Documentation
Jump to: navigation, search
m
(Updating to match new version of source page)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 +
<languages/>
 +
{{docnav|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
 +
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/es|Name=Arch Floor|Name/es=Arch Floor|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura → Piso|Shortcut=F L|SeeAlso=[[Arch Cell/es| Arch Celda]]}}
 
{{GuiCommand/es|Name=Arch Floor|Name/es=Arch Floor|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura → Piso|Shortcut=F L|SeeAlso=[[Arch Cell/es| Arch Celda]]}}
 +
</div>
  
 
==Descripción==
 
==Descripción==
  
 +
<div class="mw-translate-fuzzy">
 
El Piso de Arquitectura es un tipo especial de [[Arch Cell/es|Celda]] que tiene un par de propiedades adicionales particularmente ajustadas para la construcción de pisos. En particular, tienen una propiedad de altura, que sus objetos descendientes ([[Arch Wall/es|muros]] y [[Arch Structure/es|estructuras]]) pueden utilizar para ajustar su altura automáticamente
 
El Piso de Arquitectura es un tipo especial de [[Arch Cell/es|Celda]] que tiene un par de propiedades adicionales particularmente ajustadas para la construcción de pisos. En particular, tienen una propiedad de altura, que sus objetos descendientes ([[Arch Wall/es|muros]] y [[Arch Structure/es|estructuras]]) pueden utilizar para ajustar su altura automáticamente
 +
</div>
 +
 +
Starting from FreeCAD 0.18, the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
  
 
==Como utilizar==
 
==Como utilizar==
  
 +
<div class="mw-translate-fuzzy">
 
# Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
 
# Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
 
# Presione el botón {{KEY|[[Image:Arch Floor.png|16px]] '''Arch Floor'''}} o presione las teclas {{KEY|F}} y {{KEY|L}}
 
# Presione el botón {{KEY|[[Image:Arch Floor.png|16px]] '''Arch Floor'''}} o presione las teclas {{KEY|F}} y {{KEY|L}}
 +
</div>
  
 
==Opciones==
 
==Opciones==
  
 +
<div class="mw-translate-fuzzy">
 
* Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta [[Image:Arch Add.png|16px]] [[Arch Add/es|Añadir]]
 
* Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta [[Image:Arch Add.png|16px]] [[Arch Add/es|Añadir]]
* Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta [[Image:Arch Remove.png|16px]] [[Arch Remove/es|Remover]]  
+
* Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta [[Image:Arch Remove.png|16px]] [[Arch Remove/es|Remover]]
 +
</div>
  
 
==Propiedades==
 
==Propiedades==
  
* {{PropertyData/es|Height}}: La altura del piso, para ser utilizado por sus objetos añadidos
+
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Role}} set to {{incode|"Building Storey"}}.
  
 +
<div class="mw-translate-fuzzy">
 
==Programación==
 
==Programación==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
La herramientas piso se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando las siguiente funcion:
 
La herramientas piso se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando las siguiente funcion:
 +
</div>
 
{{Code|code=
 
{{Code|code=
makeFloor ([objectslist])
+
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
:Crea un piso incluyendo los objetos de la lista dada.
 
:Crea un piso incluyendo los objetos de la lista dada.
 +
</div>
  
 
Ejemplo:
 
Ejemplo:
 
{{Code|code=
 
{{Code|code=
import Arch
+
import FreeCAD, Draft, Arch
Arch.makeFloor()
+
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(2000, 0, 0)
 +
baseline = Draft.makeLine(p1, p2)
 +
baseline2 = Draft.makeLine(p1, -1*p2)
 +
 
 +
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
 +
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Floor = Arch.makeFloor([Wall1, Wall2])
 +
 
 +
Building = Arch.makeBuilding([Floor])
 +
Site = Arch.makeSite(Building)
 +
FreeCAD.ActiveDocument.recompute()  
 
}}
 
}}
<languages/>
+
<div class="mw-translate-fuzzy">
 +
[[Category:Arch/es]]
 +
</div>
 +
 
 +
{{Arch Tools navi}}
 +
 
 +
{{Userdocnavi}}

Latest revision as of 10:16, 5 May 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Previous: Arch Rebar.svg Rebar

Arch Floor.svg Arch Floor

Ubicación en el Menú
Arquitectura → Piso
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
F L
Introducido en versión
-
Ver también
Arch Celda


Descripción

El Piso de Arquitectura es un tipo especial de Celda que tiene un par de propiedades adicionales particularmente ajustadas para la construcción de pisos. En particular, tienen una propiedad de altura, que sus objetos descendientes (muros y estructuras) pueden utilizar para ajustar su altura automáticamente

Starting from FreeCAD 0.18, the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Como utilizar

  1. Opcionalmente, seleccione uno o más objetos para incluir en su nuevo piso
  2. Presione el botón Arch Floor.png Arch Floor o presione las teclas F y L

Opciones

  • Después de la creación de un piso, puedes añadirle más objetos arrastrando y soltándolos en la vista en árbol o utilizando la herramienta Arch Add.png Añadir
  • Puedes eliminar objetos de un piso arrastrando y soltándolos fuera en la vista de árbol o utilizando la herramienta Arch Remove.png Remover

Propiedades

An Arch Floor object shares all properties from an Arch BuildingPart, with the DATAIfc Role set to "Building Storey".

Programación

La herramientas piso se puede utilizar en macros y desde la consola de Python utilizando las siguiente funcion:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Crea un piso incluyendo los objetos de la lista dada.

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()